Package com.logicaldoc.core.document

# Class NoteAccessControlEntry

java.lang.Object
com.logicaldoc.core.security.AccessControlEntry
com.logicaldoc.core.document.NoteAccessControlEntry

All Implemented Interfaces:
  `Serializable`

@Embeddable public class NoteAccessControlEntry extends AccessControlEntry
Class for permissions of `DocumentNote`

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoteAccessControlEntry()`
`NoteAccessControlEntry(long groupId)`
`NoteAccessControlEntry(NoteAccessControlEntry source)`
`NoteAccessControlEntry(AccessControlEntry source)`
`NoteAccessControlEntry(ExtendedAccessControlEntry source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`AccessControlEntry`
`getAce()`
`long`
`getGroupId()`
`Set<Permission>`
`grantedPermissions()`
`void`
`grantPermissions(Set<Permission> permissions)`
`int`
`hashCode()`
`boolean`
`isDelete()`
`boolean`
`isRead()`
`boolean`
`isSecurity()`
`boolean`
`isWrite()`
`void`
`setAce(AccessControlEntry ace)`
`void`
`setDelete(boolean delete)`
`void`
`setGroupId(long groupId)`
`void`
`setSecurity(boolean security)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.security.AccessControlEntry

`setRead, setWrite`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoteAccessControlEntry

public NoteAccessControlEntry()

### NoteAccessControlEntry

public NoteAccessControlEntry(AccessControlEntry source)

### NoteAccessControlEntry

public NoteAccessControlEntry(NoteAccessControlEntry source)

### NoteAccessControlEntry

public NoteAccessControlEntry(ExtendedAccessControlEntry source)

### NoteAccessControlEntry

public NoteAccessControlEntry(long groupId)

## Method Details

### getAce

public AccessControlEntry getAce()

### setAce

public void setAce(AccessControlEntry ace)

### grantPermissions

public void grantPermissions(Set<Permission> permissions)

Overrides:
  `grantPermissions` in class `AccessControlEntry`

### isSecurity

public boolean isSecurity()

### setSecurity

public void setSecurity(boolean security)

### isDelete

public boolean isDelete()

### setDelete

public void setDelete(boolean delete)

### getGroupId

public long getGroupId()

Overrides:
  `getGroupId` in class `AccessControlEntry`

### setGroupId

public void setGroupId(long groupId)

Overrides:
  `setGroupId` in class `AccessControlEntry`

### isRead

public boolean isRead()

Overrides:
  `isRead` in class `AccessControlEntry`

### isWrite

public boolean isWrite()

Overrides:
  `isWrite` in class `AccessControlEntry`

### grantedPermissions

public Set<Permission> grantedPermissions()

Overrides:
  `grantedPermissions` in class `AccessControlEntry`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `AccessControlEntry`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `AccessControlEntry`

### toString

public String toString()

Overrides:
  `toString` in class `AccessControlEntry`